import { Getter, Provider } from '@loopback/core';
import { RequestContext } from '@loopback/rest';
import { MultiTenancyAction, MultiTenancyActionOptions, MultiTenancyStrategy } from '../types';
/**
 * Provides the multi-tenancy action for a sequence
 */
export declare class MultiTenancyActionProvider implements Provider<MultiTenancyAction> {
    private readonly getMultiTenancyStrategies;
    private options;
    constructor(getMultiTenancyStrategies: Getter<MultiTenancyStrategy[]>, options?: MultiTenancyActionOptions);
    /**
     * @returns MultiTenancyStrategyFactory
     */
    value(): MultiTenancyAction;
    /**
     * The implementation of authenticate() sequence action.
     * @param request - The incoming request provided by the REST layer
     */
    action(requestCtx: RequestContext): Promise<import("../types").Tenant | undefined>;
    private identifyTenancy;
}
